List Branch Status Checks
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/status-checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/status-checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/status-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"check_name": "<string>",
"status": "pending",
"description": "<string>",
"external_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Lists status checks reported for a branch so clients can inspect merge-blocking checks.
GET
/
projects
/
{project_reference}
/
branches
/
{branchId}
/
status-checks
List Branch Status Checks
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Branch ID (UUID)
Response
List of status checks
Show child attributes
Show child attributes